# Configuring the database

Valtimo supports MySQL and PostgreSQL, and can be configured to make use of either one of these.

## How to configure Valtimo to use a particular DBMS

To determine the database type, the following property needs to be set in the application configuration:

```yaml
valtimo:
    database: postgres # or mysql
```

In addition, make sure the camunda database type does not conflict with the setting above. This setting is optional, and if not present, the value provided for `valtimo.database` will be used.

```yaml
camunda:
  bpm:
    database:
      type: postgres # or mysql
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.valtimo.nl/v12/fundamentals/getting-started/configure-database.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
